Package com.mapd.thrift.server

## Class TVarLen

- java.lang.Object
- - com.mapd.thrift.server.TVarLen

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TVarLen>`, `org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>`, `org.apache.thrift.TSerializable`

    public class TVarLen
    extends Object
    implements org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>, Serializable, Cloneable, Comparable<TVarLen>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TVarLen._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `is_null`
`static Map<TVarLen._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`ByteBuffer` `payload`

### Constructor Summary

Constructors
`TVarLen()`
`TVarLen​(TVarLen other)` Performs a deep copy on other.
`TVarLen​(ByteBuffer payload, boolean is_null)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `bufferForPayload()`
`void` `clear()`
`int` `compareTo​(TVarLen other)`
`TVarLen` `deepCopy()`
`boolean` `equals​(TVarLen that)`
`boolean` `equals​(Object that)`
`TVarLen._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TVarLen._Fields field)`
`byte[]` `getPayload()`
`int` `hashCode()`
`boolean` `isIs_null()`
`boolean` `isSet​(TVarLen._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_null()` Returns true if field is_null is set (has been assigned a value) and false otherwise
`boolean` `isSetPayload()` Returns true if field payload is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TVarLen._Fields field, Object value)`
`TVarLen` `setIs_null​(boolean is_null)`
`void` `setIs_nullIsSet​(boolean value)`
`TVarLen` `setPayload​(byte[] payload)`
`TVarLen` `setPayload​(ByteBuffer payload)`
`void` `setPayloadIsSet​(boolean value)`
`String` `toString()`
`void` `unsetIs_null()`
`void` `unsetPayload()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### payload

    public ByteBuffer payload

#### is_null

    public boolean is_null

#### metaDataMap

    public static final Map<TVarLen._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TVarLen

    public TVarLen()

#### TVarLen

    public TVarLen​(ByteBuffer payload,
                   boolean is_null)

#### TVarLen

    public TVarLen​(TVarLen other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TVarLen deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>`

#### getPayload

    public byte[] getPayload()

#### bufferForPayload

    public ByteBuffer bufferForPayload()

#### setPayload

    public TVarLen setPayload​(byte[] payload)

#### setPayload

    public TVarLen setPayload​(ByteBuffer payload)

#### unsetPayload

    public void unsetPayload()

#### isSetPayload

    public boolean isSetPayload()

Returns true if field payload is set (has been assigned a value) and false otherwise

#### setPayloadIsSet

    public void setPayloadIsSet​(boolean value)

#### isIs_null

    public boolean isIs_null()

#### setIs_null

    public TVarLen setIs_null​(boolean is_null)

#### unsetIs_null

    public void unsetIs_null()

#### isSetIs_null

    public boolean isSetIs_null()

Returns true if field is_null is set (has been assigned a value) and false otherwise

#### setIs_nullIsSet

    public void setIs_nullIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TVarLen._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>`

#### getFieldValue

    public Object getFieldValue​(TVarLen._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>`

#### isSet

    public boolean isSet​(TVarLen._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TVarLen that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TVarLen other)

Specified by:
  `compareTo` in interface `Comparable<TVarLen>`

#### fieldForId

    public TVarLen._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TVarLen,​TVarLen._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`